import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/extensions/history}
 */
export declare function useUndo(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/extensions/history}
 */
export declare function useRedo(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useHistories(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand[]>;
